Bug 142076 - Fan/CPU speed control not working and battery not detected. - Acer
Fan/CPU speed control not working and battery not detected. - Acer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 00:29 EST by Gerard Fernandes
Modified: 2015-01-04 17:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 17:12:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output - Acer 4000FLCi (16.53 KB, text/plain)
2005-09-30 15:41 EDT, Gerard Fernandes
no flags Details
dmesg output for IBM T41p (27.12 KB, text/plain)
2005-11-14 10:37 EST, Kevin DeKorte
no flags Details
acpidump on an Acer 4000FLCi Laptop running FC4 kernel-2.6.14-1.1656_FC4 (103.78 KB, text/plain)
2006-01-29 14:02 EST, Gerard Fernandes
no flags Details

  None (edit)
Description Gerard Fernandes 2004-12-07 00:29:01 EST
Description of problem: CPU Fan and Centrino speed control not
working. Battery/AC Adapter not detected therefore battery indicator
shows "No Battery" message and does not work.


Version-Release number of selected component (if applicable):
Fedora Core-2 last updated on 15th November 2004.


How reproducible: Always


Steps to Reproduce:
1. Switch on the laptop - Acer 4100 Centrino (Dothan)
2. Do a "cat /proc/acpi/battery/" no files in the directory
3. Do a simillar "cat" for the AC Adapter and the same problem

  
Actual results:
The battery and the AC adapter are never detected.

Temperature control and throttling are working. CPU Speed, Fan and
battery/Adapter status are not working


Expected results:
The battery should be detected and the status displayed. AC adapter
should be detected when connected and the "Charging" status displayed.

Additional info:
Need more ACPI events pre-configured. Right now, only shutdown happens
on the ACPI Powere Button event.
Comment 1 Gerard Fernandes 2005-02-06 04:06:26 EST
Installed FC3. Still no battery detected, no AC-Adaptor detected. Lid
button does not put the laptop to sleep. Sleep button (Fn-F4 on the
Acer 4000) does not work either.
Comment 2 Gerard Fernandes 2005-02-06 04:07:34 EST
Running FC-3 with all updates applied as of 5-FEB-2005.
Comment 3 Dave Jones 2005-04-16 00:44:55 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 4 Gerard Fernandes 2005-04-16 09:07:59 EDT
I'm running Fedora Core-3 with the following kernel:

   kernel-2.6.11-1.14_FC3

and all updates applied as of Saturday 16th April 2005 (with the exception of
Open Office and Thunderbird).

The problems are still not fixed - specifically the system does not seem to know
when its connected to the ac-adaptor and when its running on battery.

Therefore ACPI seems to be working for:
1. CPU speed control (though I dont know if this will really save power as the
system does not know when its running on battery!!! and therefore it can't know
when to save power in the first place)
2. Fan control (at least I can see the fans used less frequently when on
battery, the CD-ROM drive spin at lower speeds and overall system response in
general slow down when on battery - which is good but beyond the understanding
of my simple mind. If the system knows not when its running on battery how can
it know when to save power??!!??!!)
3. Temperature control

However, ACPI does not know:
1. When the system is connected to ac-adaptor or when its running on battery.
2. The Gnome battery applet is completely confused because of ACPI status -
can't even wire it properly with ACPI because ACPI does not know the system has
a battery and does not know when the ac-adaptor is connected - as the following
output shows:
    cat /proc/acpi/battery is an empty directory and therefore cant respond to
battery events. The same holds for /proc/acpi/ac_adaptor
     [gerry@achiles ~]$ cat /proc/acpi/battery/
     cat: /proc/acpi/battery/: Is a directory

     [gerry@achiles ~]$ cat /proc/acpi/ac_adapter/
     cat: /proc/acpi/ac_adapter/: Is a directory

This bug is very much still a bug.
Comment 5 Gerard Fernandes 2005-06-21 02:42:15 EDT
Installed FC4. Problem persists.
Comment 6 Gerard Fernandes 2005-06-26 08:24:13 EDT
Strangely enough, the Gnome battery applet works fine on a Fujitsu Siemens Amilo
M (Intel Centrino 1.8GHz). The power button on the Fujitsu Siemens also suspends
and 'wakes-up' very well.

Wonder why the battery indicator doesn't work on the Acer TravelMate?
Comment 7 Richard Körber 2005-06-26 18:48:01 EDT
The same problem on an Acer TravelMate 4600. Gnome shows a battery, but it's
always empty. External power is detected correctly, though. dmesg is showing
these lines repeatedly:

Jun 27 00:44:54 francine kernel:     ACPI-0352: *** Error: Looking up [Z00B] in
namespace, AE_NOT_FOUND
Jun 27 00:44:54 francine kernel: search_node c146d2e0 start_node c146d2e0
return_node 00000000
Jun 27 00:44:54 francine kernel:     ACPI-1138: *** Error: Method execution
failed [\_SB_.BAT1._BST] (Node c146d1e0), AE_NOT_FOUND
Comment 8 Dave Jones 2005-07-15 17:36:35 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 9 Gerard Fernandes 2005-07-16 07:53:00 EDT
Heres the modprob.conf for the Acer 4000FLCi:
alias eth0 b44
alias eth1 ipw2200
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
options snd-intel8x0 index=0
remove snd-intel8x0 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias ieee1394-controller ohci1394

It seems correct for my hardware. However my battery is still not detected.
Fan/temperature control seems to be working (fan comes on when its hot etc.
etc.) But aside from audible clues I have no way of verifying it. I can also not
verify CPUSpeed to be working or not.
Comment 10 Gerard Fernandes 2005-07-16 07:55:03 EDT
I have updated and am currently running the latest Kernel
kernel-2.6.12-1.1390_FC4
kernel-devel-2.6.12-1.1390_FC4

Comment 11 Gerard Fernandes 2005-07-16 07:57:14 EDT
Sorry thats
kernel-2.6.12-1.1398_FC4
Comment 12 Dave Jones 2005-07-29 18:49:49 EDT
Can you attach a full dmesg of the latest kernel please ?
Comment 13 Dave Jones 2005-09-30 02:53:08 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 14 Gerard Fernandes 2005-09-30 15:39:48 EDT
Updated to 2.6.13-1.1526_FC4. Same problem. The battery is still not detected
and it does not know that the adaptor is connected.

I'm attaching my dmesg output.
Comment 15 Gerard Fernandes 2005-09-30 15:41:26 EDT
Created attachment 119483 [details]
dmesg output - Acer 4000FLCi

Attached dmesg output after upgrading to kernel 2.6.13-1.1526_FC4.
Comment 16 Antonio 2005-10-02 14:22:10 EDT
I solved a problem similar to your on an Acer Aspire 1692 with a patched DSDT
table and recompiling kernel. Details can be found at
http://www.aalbiol.upv.es/ACER.html

I have tried the latest kernel update 2.6.13-1.1526_FC4 and does not work.
Will it be necessary to patch the kernel for every update? 
Comment 17 Dave Jones 2005-11-10 15:00:10 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 18 Gerard Fernandes 2005-11-10 16:08:25 EST
Installed kernel 2.6.14-1.1637_FC4

Battery status is still not working. AC Adaptor is not working either.

cat: /proc/acpi/battery/: Is a directory
Comment 19 Kevin DeKorte 2005-11-14 10:29:31 EST
With IBM Thinkpad T41p the gnome battery charge monitor 2.10.1 in FC4 using
kernel 2.6.14-1.1637_FC4 reports a charge initially, but then after a few hours
it reports 0% batter. It correctly reports if it is plugged in or not and if it
is charging. I did not have this problem with the previous kernel.

Possibilities..

The new kernel is reporting higher milliwatt values causing the battery applet
to think it has a negative value. Or it is reading info from the info file which
does not report anything.

cd /proc/acpi/battery/BAT0
ls -la
total 0
dr-xr-xr-x  2 root root 0 Nov 14 08:21 .
dr-xr-xr-x  3 root root 0 Nov 14 08:21 ..
-rw-r--r--  1 root root 0 Nov 14 08:21 alarm
-r--r--r--  1 root root 0 Nov 14 08:21 info
-r--r--r--  1 root root 0 Nov 14 08:21 state
[kdekorte@localhost BAT0]$ more info
present:                 yes
ERROR: Unable to read battery information
[kdekorte@localhost BAT0]$ more state
present:                 yes
capacity state:          ok
charging state:          charging
present rate:            4827 mW
remaining capacity:      70770 mWh
present voltage:         12474 mV
Comment 20 Kevin DeKorte 2005-11-14 10:35:48 EST
Looking at dmesg I also noticed a lot of these errors, unsure if they are related...

F] (Node c20ef460), AE_AML_METHOD_LIMIT
    ACPI-0213: *** Error: Method reached maximum reentrancy limit (255)
    ACPI-0508: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.BAT0._BI 

I don't recall seeing them before.

I will attach the entire dmesg
Comment 21 Kevin DeKorte 2005-11-14 10:37:37 EST
Created attachment 121024 [details]
dmesg output for IBM T41p

Shows ACPI error messages about the battery.
Comment 22 Dominik Mierzejewski 2005-12-14 17:43:17 EST
I think it's a duplicate of
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=161892
Comment 23 Dave Jones 2005-12-14 21:04:52 EST
this should be fixed in 2.6.14-1.1653.
Comment 24 Kevin DeKorte 2005-12-18 14:27:30 EST
Appears to be fixed in kernel 2.6.14-1.1653_FC4 on an IBM Thinkpad T41p
Comment 25 Gerard Fernandes 2005-12-22 16:01:18 EST
I'm running kernel-2.6.14-1.1653_FC4 on an Acer TravelMate 4000FLCi - and the
battery meter is still not working!
Comment 26 Dave Jones 2005-12-23 14:47:03 EST
Can you attach a dmesg -s 128000  output from the 1653 kernel please ?
(Also, let me know if its any better with the test kernel at
http://people.redhat.com/davej/kernels/Fedora/FC4)
Comment 27 Gerard Fernandes 2005-12-24 16:25:55 EST
Here is the output of dmesg -s 128000. I will also try the kernel and post the
results.

============================================

Linux version 2.6.14-1.1653_FC4 (bhcompile@hs20-bc1-7.build.redhat.com) (gcc
version 4.0.2 20051125 (Red Hat 4.0.2-8)) #1 Tue Dec 13 21:32:09 EST 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
 BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000ce000 - 00000000000d0000 (reserved)
 BIOS-e820: 00000000000dc000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001f6e0000 (usable)
 BIOS-e820: 000000001f6e0000 - 000000001f6ec000 (ACPI data)
 BIOS-e820: 000000001f6ec000 - 000000001f700000 (ACPI NVS)
 BIOS-e820: 000000001f700000 - 0000000020000000 (reserved)
 BIOS-e820: 00000000fec10000 - 00000000fec20000 (reserved)
 BIOS-e820: 00000000ff800000 - 00000000ffc00000 (reserved)
 BIOS-e820: 00000000fffffc00 - 0000000100000000 (reserved)
0MB HIGHMEM available.
502MB LOWMEM available.
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 128736
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 124640 pages, LIFO batch:31
  HighMem zone: 0 pages, LIFO batch:1
DMI present.
ACPI: RSDP (v000 ACER                                  ) @ 0x000f62e0
ACPI: RSDT (v001 ACER   Kestrel  0x20020806  LTP 0x00000000) @ 0x1f6e66d8
ACPI: FADT (v001 ACER   Kestrel  0x20020806 PTL  0x00000050) @ 0x1f6ebf2c
ACPI: HPET (v001 ACER   Kestrel  0x20020806 PTL  0x00000000) @ 0x1f6ebfa0
ACPI: BOOT (v001 ACER   Kestrel  0x20020806  LTP 0x00000001) @ 0x1f6ebfd8
ACPI: DSDT (v001 ACER   Kestrel  0x20020806 MSFT 0x0100000e) @ 0x00000000
ACPI: PM-Timer IO Port: 0x1008
ACPI: HPET id: 0x8086a201 base: 0x0
Allocating PCI resources starting at 30000000 (gap: 20000000:dec10000)
Built 1 zonelists
Kernel command line: ro root=LABEL=/1 rhgb quiet
Initializing CPU#0
CPU 0 irqstacks, hard=c03f3000 soft=c03f2000
PID hash table entries: 2048 (order: 11, 32768 bytes)
Detected 1399.002 MHz processor.
Using pmtmr for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Memory: 505548k/514944k available (2098k kernel code, 8896k reserved, 719k data,
172k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 2800.11 BogoMIPS (lpj=5600236)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: afe9f9bf 00000000 00000000 00000000 00000180
00000000 00000000
CPU: After vendor identify, caps: afe9f9bf 00000000 00000000 00000000 00000180
00000000 00000000
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 2048K
CPU: After all inits, caps: afe9f1bf 00000000 00000000 00000040 00000180
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
mtrr: v2.0 (20020519)
CPU: Intel(R) Pentium(R) M processor 1.40GHz stepping 06
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
ACPI: setting ELCR to 0200 (from 0440)
checking if image is initramfs... it is
Freeing initrd memory: 1075k freed
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xfd792, last bus=2
PCI: Using configuration type 1
ACPI: Subsystem revision 20050916
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
Boot video device is 0000:00:02.0
PCI quirk: region 1000-107f claimed by ICH4 ACPI/GPIO/TCO
PCI quirk: region 1180-11bf claimed by ICH4 GPIO
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIB._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs *6)
ACPI: PCI Interrupt Link [LNKB] (IRQs *10)
ACPI: PCI Interrupt Link [LNKC] (IRQs *6)
ACPI: PCI Interrupt Link [LNKD] (IRQs *6)
ACPI: PCI Interrupt Link [LNKE] (IRQs *10)
ACPI: PCI Interrupt Link [LNKF] (IRQs 10) *0, disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 6) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs *10)
ACPI: Embedded Controller [EC0] (gpe 29)
ACPI: Power Resource [PFN0] (off)
ACPI: Power Resource [PFN1] (off)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 9 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
pnp: 00:03: ioport range 0x164e-0x164f has been reserved
PCI: Ignore bogus resource 6 [0:0] of 0000:00:02.0
PCI: Bus 3, cardbus bridge: 0000:02:06.0
  IO window: 00003000-000030ff
  IO window: 00003400-000034ff
  PREFETCH window: 30000000-31ffffff
  MEM window: 34000000-35ffffff
PCI: Bridge: 0000:00:1e.0
  IO window: 3000-3fff
  MEM window: e0200000-e05fffff
  PREFETCH window: 30000000-32ffffff
PCI: Setting latency timer of device 0000:00:1e.0 to 64
PCI: Enabling device 0000:02:06.0 (0104 -> 0107)
ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 10
PCI: setting IRQ 10 as level-triggered
ACPI: PCI Interrupt 0000:02:06.0[A] -> Link [LNKE] -> GSI 10 (level, low) -> IRQ 10
Simple Boot Flag at 0x37 set to 0x1
apm: BIOS not found.
audit: initializing netlink socket (disabled)
audit(1135457811.808:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key F03D6A9A83D7F7E9
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Fan [FAN0] (off)
ACPI: Fan [FAN1] (off)
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: Thermal Zone [THRM] (40 C)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel 855 Chipset.
agpgart: Detected 8060K stolen memory.
agpgart: AGP aperture is 128M @ 0xe8000000
PNP: PS/2 Controller [PNP0303:KBC,PNP0f13:MOU2] at 0x60,0x64 irq 1,12
i8042.c: Detected active multiplexing controller, rev 1.1.
serio: i8042 AUX0 port at 0x60,0x64 irq 12
serio: i8042 AUX1 port at 0x60,0x64 irq 12
serio: i8042 AUX2 port at 0x60,0x64 irq 12
serio: i8042 AUX3 port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 32 ports, IRQ sharing enabled
ttyS1 at I/O 0x2f8 (irq = 3) is a NS16550A
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 10
ACPI: PCI Interrupt 0000:00:1f.6[B] -> Link [LNKB] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI interrupt for device 0000:00:1f.6 disabled
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH4: IDE controller at PCI slot 0000:00:1f.1
PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 6
PCI: setting IRQ 6 as level-triggered
ACPI: PCI Interrupt 0000:00:1f.1[A] -> Link [LNKC] -> GSI 6 (level, low) -> IRQ 6
ICH4: chipset revision 3
ICH4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x1810-0x1817, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0x1818-0x181f, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: HTS424040M9AT00, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: QSI CD-RW/DVD-ROM SBW242C, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 1024KiB
hda: 78140160 sectors (40007 MB) w/1739KiB Cache, CHS=16383/255/63, UDMA(100)
hda: cache flushes supported
 hda: hda1 hda2 hda3 hda4 < hda5 >
hdc: ATAPI 8X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.2 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: bitmap version 3.39
NET: Registered protocol family 2
IP route cache hash table entries: 4096 (order: 2, 16384 bytes)
TCP established hash table entries: 16384 (order: 6, 262144 bytes)
TCP bind hash table entries: 16384 (order: 6, 327680 bytes)
TCP: Hash tables configured (established 16384 bind 16384)
TCP reno registered
TCP bic registered
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI Shortcut mode
ACPI wakeup devices:
GLAN MPCI T394 MDM0 USB1 USB2 USB3
ACPI: (supports S0 S3 S4 S5)
Freeing unused kernel memory: 172k freed
Write protecting the kernel read-only data: 323k
input: AT Translated Set 2 keyboard on isa0060/serio0
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Synaptics Touchpad, model: 1, fw: 5.9, id: 0x126eb1, caps: 0xa04713/0x4000
input: SynPS/2 Synaptics TouchPad on isa0060/serio4
security:  3 users, 6 roles, 888 types, 109 bools
security:  55 classes, 244070 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev hda5, type ext3), uses xattr
audit(1135457818.372:2): avc:  denied  { search } for  pid=373 comm="hotplug"
name="etc" dev=hda5 ino=7122497 scontext=system_u:system_r:hotplug_t
tcontext=system_u:object_r:unlabeled_t tclass=dir
audit(1135457818.372:3): avc:  denied  { search } for  pid=373 comm="hotplug"
name="etc" dev=hda5 ino=7122497 scontext=system_u:system_r:hotplug_t
tcontext=system_u:object_r:unlabeled_t tclass=dir
audit(1135457818.372:4): avc:  denied  { search } for  pid=373 comm="hotplug"
name="lib" dev=hda5 ino=5390881 scontext=system_u:system_r:hotplug_t
tcontext=system_u:object_r:unlabeled_t tclass=dir
audit(1135457818.372:5): avc:  denied  { search } for  pid=373 comm="hotplug"
name="lib" dev=hda5 ino=5390881 scontext=system_u:system_r:hotplug_t
tcontext=system_u:object_r:unlabeled_t tclass=dir
audit(1135457818.372:6): avc:  denied  { search } for  pid=373 comm="hotplug"
name="lib" dev=hda5 ino=5390881 scontext=system_u:system_r:hotplug_t
tcontext=system_u:object_r:unlabeled_t tclass=dir
audit(1135457818.372:7): avc:  denied  { search } for  pid=373 comm="hotplug"
name="lib" dev=hda5 ino=5390881 scontext=system_u:system_r:hotplug_t
tcontext=system_u:object_r:unlabeled_t tclass=dir
audit(1135457818.372:8): avc:  denied  { search } for  pid=373 comm="hotplug"
name="lib" dev=hda5 ino=5390881 scontext=system_u:system_r:hotplug_t
tcontext=system_u:object_r:unlabeled_t tclass=dir
audit(1135457818.372:9): avc:  denied  { search } for  pid=373 comm="hotplug"
name="lib" dev=hda5 ino=5390881 scontext=system_u:system_r:hotplug_t
tcontext=system_u:object_r:unlabeled_t tclass=dir
audit(1135457818.372:10): avc:  denied  { search } for  pid=373 comm="hotplug"
name="lib" dev=hda5 ino=5390881 scontext=system_u:system_r:hotplug_t
tcontext=system_u:object_r:unlabeled_t tclass=dir
audit(1135457818.372:11): avc:  denied  { search } for  pid=373 comm="hotplug"
name="lib" dev=hda5 ino=5390881 scontext=system_u:system_r:hotplug_t
tcontext=system_u:object_r:unlabeled_t tclass=dir
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses genfs_contexts
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
floppy0: no floppy controllers found
b44.c:v0.95 (Aug 3, 2004)
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 6
ACPI: PCI Interrupt 0000:02:02.0[A] -> Link [LNKD] -> GSI 6 (level, low) -> IRQ 6
eth0: Broadcom 4400 10/100BaseT Ethernet 00:c0:9f:59:b1:19
ieee80211_crypt: registered algorithm 'NULL'
ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Driver, 1.0.0
ipw2200: Copyright(c) 2003-2004 Intel Corporation
ACPI: PCI Interrupt 0000:02:04.0[A] -> Link [LNKB] -> GSI 10 (level, low) -> IRQ 10
ipw2200: Detected Intel PRO/Wireless 2200BG Network Connection
ACPI: PCI Interrupt 0000:00:1f.5[B] -> Link [LNKB] -> GSI 10 (level, low) -> IRQ 10
PCI: Setting latency timer of device 0000:00:1f.5 to 64
intel8x0_measure_ac97_clock: measured 54278 usecs
intel8x0: clocking to 48000
hw_random: cannot enable RNG, aborting
ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 10
ACPI: PCI Interrupt 0000:00:1d.7[D] -> Link [LNKH] -> GSI 10 (level, low) -> IRQ 10
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: debug port 1
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:1d.7: irq 10, io mem 0xe0100000
PCI: cache line size of 32 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: USB 2.0 initialized, EHCI 1.00, driver 10 Dec 2004
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 6 ports detected
hub 1-0:1.0: over-current change on port 1
USB Universal Host Controller Interface driver v2.3
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 6
ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link [LNKA] -> GSI 6 (level, low) -> IRQ 6
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.0: irq 6, io base 0x00001820
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
hub 1-0:1.0: over-current change on port 2
ACPI: PCI Interrupt 0000:00:1d.1[B] -> Link [LNKD] -> GSI 6 (level, low) -> IRQ 6
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1d.1: irq 6, io base 0x00001840
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:1d.2[C] -> Link [LNKC] -> GSI 6 (level, low) -> IRQ 6
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1d.2: irq 6, io base 0x00001860
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:02:06.0[A] -> Link [LNKE] -> GSI 10 (level, low) -> IRQ 10
Yenta: CardBus bridge found at 0000:02:06.0 [1025:0064]
Yenta: Enabling burst memory read transactions
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:02:06.0, mfunc 0x01a21b22, devctl 0x64
hub 2-0:1.0: over-current change on port 1
hub 2-0:1.0: over-current change on port 2
Yenta: ISA IRQ mask 0x08b8, PCI irq 10
Socket status: 30000006
pcmcia: parent PCI bridge I/O window: 0x3000 - 0x3fff
cs: IO port probe 0x3000-0x3fff: clean.
pcmcia: parent PCI bridge Memory window: 0xe0200000 - 0xe05fffff
pcmcia: parent PCI bridge Memory window: 0x30000000 - 0x32ffffff
ieee1394: Initialized config rom entry `ip1394'
ohci1394: $Rev: 1313 $ Ben Collins <bcollins@debian.org>
ACPI: PCI Interrupt 0000:02:06.2[A] -> Link [LNKE] -> GSI 10 (level, low) -> IRQ 10
ohci1394: fw-host0: OHCI-1394 1.1 (PCI): IRQ=[10]  MMIO=[e020a000-e020a7ff]  Max
Packet=[2048]
usb 3-1: new low speed USB device using uhci_hcd and address 2
input: USB HID v1.10 Mouse [Logitech USB Receiver] on usb-0000:00:1d.1-1
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00c09f00002a709e]
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
NET: Registered protocol family 10
Disabled Privacy Extensions on device c0380420(lo)
IPv6 over IPv4 tunneling driver
ACPI: Power Button (FF) [PWRF]
ACPI: Lid Switch [LID]
ACPI: Sleep Button (CM) [SLPB]
ibm_acpi: ec object not found
ACPI: Video Device [GFX0] (multi-head: yes  rom: yes  post: no)
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
EXT3 FS on hda5, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda2, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
Adding 1052248k swap on /dev/hda3.  Priority:-1 extents:1 across:1052248k
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
acpi-cpufreq: CPU0 - ACPI performance management activated.
ip_tables: (C) 2000-2002 Netfilter core team
Netfilter messages via NETLINK v0.30.
ip_conntrack version 2.3 (4023 buckets, 32184 max) - 236 bytes per conntrack
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0x800-0x8ff: excluding 0x800-0x807
cs: IO port probe 0x100-0x4ff: excluding 0x4d0-0x4d7
cs: IO port probe 0xa00-0xaff: clean.
eth1 (WE) : Driver using old /proc/net/wireless support, please fix driver !
ieee80211_crypt: registered algorithm 'WEP'
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
Bluetooth: Core ver 2.7
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.7
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM ver 1.5
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
eth1: no IPv6 routers present
lp: driver loaded but no devices found
[drm] Initialized drm 1.0.0 20040925
ACPI: PCI Interrupt 0000:00:02.0[A] -> Link [LNKA] -> GSI 6 (level, low) -> IRQ 6
[drm] Initialized i915 1.1.0 20040405 on minor 0:
[drm] Initialized i915 1.1.0 20040405 on minor 1:
mtrr: base(0xe8020000) is not aligned on a size(0x300000) boundary
ISO 9660 Extensions: Microsoft Joliet Level 3
ISOFS: changing to secondary root
SELinux: initialized (dev hdc, type iso9660), uses genfs_contexts
SELinux: initialized (dev hda1, type vfat), uses genfs_contexts
application mixer_applet2 uses obsolete OSS audio interface
application firefox-bin uses obsolete OSS audio interface
Comment 28 Len Brown 2006-01-18 02:29:16 EST
None of the problems above can be diagnosed further
without acpidump output.  acpidump is available in pmtools here:
http://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/utils/

Re: T41p
    ACPI-0292: *** Error: Looking up [SERN] in namespace, AE_ALREADY_EXISTS
    ACPI-0508: *** Error: Method execution failed [\_SB_.PCI0.LPC_.EC__.GBIF] 
(Node c20ef5a0), AE_ALREADY_EXISTS
    ACPI-0213: *** Error: Method reached maximum reentrancy limit (255)
    ACPI-0508: *** Error: Method execution failed 
[\_SB_.PCI0.LPC_.EC__.BAT0._BIF] (Node c20ef460), AE_AML_METHOD_LIMIT


Please report if this is still present when you run the latest -mm patch
or 2.6.15 plus the latest ACPI patch:
http://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/patches/test/2.6.15/
Comment 29 Gerard Fernandes 2006-01-22 07:43:38 EST
I am running: kernel-2.6.14-1.1656_FC4. Which version of 'pmtools' can I run to
get a diagnostic dump?

Can I get an 'rpm' or do I have to compile it from source?

BTW - this is clearly an ACER problem. I've checked this on a Fujitsu Siemens
and an IBM ThinkPad R52 laptop - works perfectly on both. Simply refuses to
detect the ACER battery/adaptor though :(

Thanks
Comment 30 Dave Jones 2006-01-24 14:11:18 EST
Use the newest version, which at this time is
http://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/utils/pmtools-20051111.tar.bz2

just untar it, and 'make' it.
Comment 31 Gerard Fernandes 2006-01-29 14:02:04 EST
Created attachment 123853 [details]
acpidump on an Acer 4000FLCi Laptop running FC4 kernel-2.6.14-1.1656_FC4

Downloaded pmtools-20051111, built and ran acpidump. Heres the output of
'acpidump -o acpidump.out.txt'
Comment 32 Dave Jones 2006-02-03 00:52:10 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 33 Gerard Fernandes 2006-02-03 18:31:03 EST
Updated to latest kernel 2.6.15-1.1830_FC4. Battery/adaptor is still not
detected on the Acer laptop (TravelMate 4000FLCi)
Comment 34 Gerard Fernandes 2006-04-08 16:08:17 EDT
Installed FC5 (clean install after format). Problem still persists. With the
sole difference that Gnome detects an adaptor randomly - even when no adaptor is
actually connected. Battery is never detected therefore I still have no
indication of battery status.
Comment 35 Dave Jones 2006-09-16 22:47:38 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 36 Gerard Fernandes 2006-09-18 16:43:01 EDT
On a completely updated FC5 system, this problem still reproducible on an Acer
laptop.

Problem not visible on Fujitsu Siemens and IBM Thinkpad laptops.
Comment 37 Gerard Fernandes 2006-09-18 16:48:48 EDT
The sad thing being this Acer shipped preloaded with Red-hat 9! The Fujitsu and
the Thinkpad were Windows XP machines!!
Comment 38 Dave Jones 2006-10-16 15:00:21 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 39 Gerard Fernandes 2006-10-17 17:06:02 EDT
Fixed with kernel 2.6.18-1.2200.fc5 - battery and ac adaptor detected correctly.

Note You need to log in before you can comment on or make changes to this bug.